## NAME

r.shaded.relief - Creates shaded relief map from an elevation map (DEM).

## KEYWORDS

raster, elevation

## SYNOPSIS

r.shaded.relief
r.shaded.relief help
r.shaded.relief map=string [shadedmap=string] [altitude=integer] [azimuth=integer] [zmult=float] [scale=float] [units=string] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

map=string
  Input elevation map
shadedmap=string
  Output shaded relief map name
altitude=integer
  Altitude of the sun in degrees above the horizon
  Options: 0-90
  Default: 30
azimuth=integer
  Azimuth of the sun in degrees to the east of north
  Options: 0-360
  Default: 270
zmult=float
  Factor for exaggerating relief
  Default: 1
scale=float
  Scale factor for converting horizontal units to elevation units
  Default: 1
units=string
  Set scaling factor (applies to lat./long. locations only)
  Options: meters,feet

## DESCRIPTION

r.shaded.relief is a Bourne shell script that creates a raster shaded relief map based on current resolution settings and on sun altitude, azimuth, and z-exaggeration values entered by the user. If no output shademap name is given, the new shaded relief map is named <input_map>.shade. The map is assigned a grey-scale color table.

If no parameters are provided on startup, this program is interactive; thus if the user enters the command:

  r.shaded.relief

The program then prompts the user to enter values for:

1. The altitude of the sun in degrees above the horizon (a value between 0 and 90 degrees), and
2. The azimuth of the sun in degrees to the east of north (a value between 0 and 360 degrees).
3. The name of a raster map layer to provide elevation values for the shaded relief map. Typically, this would be a map layer of elevation; however, any raster map layer can be named.
4. The scaling parameter, which compensates for a different horizontal scale than vertical scale. If 'scale' is a number then the ewres and nsres are multiplied by that scale to calculate the shading. (Default=1.0 for equivalent horizontal and vertical scales.)
   For ETOPO2 data a scale factor of 10000 generates an acceptable shading effect.
5. For the special case when a latitude-longitude projection is used with an elevation map measured in meters or feet, the units can be set to automatically set the horizontal scale to the the number of meters or feet in a degree of latitude. The script scales latitude and longitude equally, so it's only approximately right, but for shading it's close enough. It makes the difference between a usable and unusable shade.
6. The zmult exaggeration factor that changes the apparent relief for the shaded relief map. This can be any positive (or negative) floating point value. (Default=1.0)

Specifically, r.shaded.relief executes a r.mapcalc statement. Refer to the manual entry for r.mapcalc for an explanation of the filtering syntax shown in the above expression. See, for example, the section on "The Neighborhood Modifier".

r.shaded.relief then runs r.colors to assign a grey-scale color table to the new shaded relief map.

## FILES

This program is simply a shell script. Users are encouraged to make their own shell scripts using similar techniques. See `$GISBASE/scripts/r.shaded.relief`.

## SEE ALSO

An Algebra for GIS and Image Processing, by Michael Shapiro and Jim Westervelt, U.S. Army Construction Engineering Research Laboratory (March/1991) (get from GRASS web site).

d.his
g.region
r.blend
r.colors
r.mapcalc

## AUTHOR

Jim Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/04/20 02:43:23 $

Main index - raster index - Full index